#!/usr/bin/perl -w

# Copyright 2008 Robert ("Bob") Igo of StormLogic, LLC and mythic.tv.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

use Switch;
use Tweaker::Script;
package Tweaker::Script;

# List all the options that this script supports.  Make sure it matches what's in
# the corresponding .tcf entry.
set_known_options( 'all' );

# Try to implement the given option.
sub implement_option {
    my($option) = @_;
    my $logger = get_logger('tweaker.script');

    $dbconnectionstring = get_mythtv_connection_string();
	
    if (connect_to_db("DBI:mysql:$dbconnectionstring")) {
	# Overrides SQL changes made in twk_general.pl
	change_or_make_setting('DVDPlayerCommand', 'mplayer dvd:\/\/ -dvd-device %d -fs -zoom -vc mpeg12,ffmpeg12-vo xv -vf pp=lb') || return -1;
	change_or_make_setting('VCDPlayerCommand', 'mplayer vcd:\/\/ -cdrom-device %d -fs -zoom -vo xv -vf pp=lb') || return -1;

	# Overrides SQL changes made in twk_tuners.pl
	# WARNING: Very big harccoded hack.
	do_query("UPDATE cardinput SET sourceid='10' WHERE sourceid='20'") || return -1;
    } else {
	my $logger = get_logger('tweaker.script');
	$logger->error("ERROR: Unable to connect to mythconverg database");
	$logger->error("ERROR: Unable to implement option $option.");
	exit -1;
    }
    disconnect_from_db();
}

# Poll the system to see what recommendationlevel the given option has on the system.
sub poll_options {
    my($option) = @_;
    recommendation_level("recommended", "These tweaks benefit all users.");
}

# Unimplemented in 0.7
sub check_option {
    help;
}

# Unimplemented in 0.7
sub count_iterations {
    help;
}

process_parameters;
