#!/usr/bin/perl -w

# Copyright 2007, 2008 Robert ("Bob") Igo of StormLogic, LLC and mythic.tv.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

use Switch;
use Tweaker::Script;
package Tweaker::Script;

set_known_options( 'US_English', 'GB_English' ); # Should eventually expand to handle all translations available for MythTV.

# Try to implement the given option.
sub implement_option {
    my($option) = @_;

    $dbconnectionstring = get_mythtv_connection_string();
	
    if (connect_to_db("DBI:mysql:$dbconnectionstring")) {
	# The entire planet except the US uses metric measurements.
	change_or_make_setting('SIUnits', 'YES') || exit -1;
	switch ($option) {
	    case "US_English" {
		# Uses Imperial measurements for things like weather.
		change_or_make_setting('SIUnits', 'NO') || exit -1;
		change_or_make_setting('Language', 'EN') || exit -1;
		change_or_make_setting('ISO639Language0', 'eng') || exit -1;
		change_or_make_setting('ISO639Language1', 'eng') || exit -1;
	    }
	    case "GB_English" {
		change_or_make_setting('Language', 'EN_GB') || exit -1;
		change_or_make_setting('ISO639Language0', 'eng') || exit -1;
		change_or_make_setting('ISO639Language1', 'eng') || exit -1;
	    }
	}
    } else {
	exit -1;
    }
    disconnect_from_db();
}

# Try to get a Recommendation Level for $option.
sub poll_options {
    my($option) = @_;

    recommendation_level("optional", "We don't yet have any way to know what your preferred language is.  This option is as valid as any other.");
}

# Unimplemented in 0.7
sub check_option {
    help;
}

# Unimplemented in 0.7
sub count_iterations {
    help;
}

process_parameters;
